"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.accountRt = void 0;
const rt = __importStar(require("runtypes"));
exports.accountRt = rt
    .Record({
    id: rt.Number,
    version: rt.Number,
    number: rt.Number,
    name: rt.String,
    description: rt.String,
    ledgerType: rt.Union(rt.Literal('GENERAL'), rt.Literal('CUSTOMER'), rt.Literal('VENDOR'), rt.Literal('EMPLOYEE'), rt.Literal('ASSET')),
    vatLocked: rt.Boolean,
    isCloseable: rt.Boolean,
    isApplicableForSupplierInvoice: rt.Boolean,
    requireReconciliation: rt.Boolean,
    isInactive: rt.Boolean,
    isBankAccount: rt.Boolean,
    isInvoiceAccount: rt.Boolean,
    bankAccountNumber: rt.String,
    bankName: rt.String,
    bankAccountIBAN: rt.String,
    bankAccountSWIFT: rt.String,
})
    .asPartial();
