"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.listResponseAccountRt = exports.ledgerAccountListRequest = void 0;
const rt = __importStar(require("runtypes"));
const utils_1 = require("../../../utils");
const account_1 = require("./account");
exports.ledgerAccountListRequest = rt
    .Record({
    id: rt.String,
    number: rt.String,
    isBankAccount: rt.Boolean,
    isInactive: rt.Boolean,
    isApplicableForSupplierInvoice: rt.Boolean,
    ledgerType: rt.Union(rt.Literal('GENERAL'), rt.Literal('CUSTOMER'), rt.Literal('VENDOR'), rt.Literal('EMPLOYEE'), rt.Literal('ASSET')),
    isBalanceAccount: rt.Boolean,
    from: rt.Number,
    count: rt.Number,
    sorting: rt.String,
    fields: rt.String,
})
    .asPartial()
    .asReadonly();
exports.listResponseAccountRt = (0, utils_1.multipleValuesEnvelope)(account_1.accountRt);
