"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripletexToken = void 0;
const typical_fetch_1 = require("typical-fetch");
const utils_1 = require("../../utils");
const session_token_1 = require("./models/session-token");
__exportStar(require("./models/session-token"), exports);
class TripletexToken {
    constructor(config) {
        this.config = config;
    }
    createSessionToken(args) {
        const call = (0, typical_fetch_1.buildCall)() //
            .baseUrl(this.config.baseUrl ?? utils_1.defaultBaseUrl)
            .headers(() => ({
            'User-Agent': this.config.userAgent ?? 'bjerkio-tripletex/3',
        }))
            .args()
            .path('/v2/token/session/:create')
            .query(args => ({
            ...args.input,
            expirationDate: (0, utils_1.formatDate)(args.input.expirationDate),
        }))
            .method('put')
            .parseJson((0, utils_1.withRuntype)(session_token_1.getTokenResponseRt))
            .build();
        return call({ input: args });
    }
}
exports.TripletexToken = TripletexToken;
