"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripletexActivity = void 0;
const utils_1 = require("../../utils");
const base_1 = require("../base");
const activity_1 = require("./models/activity");
__exportStar(require("./models/activity"), exports);
class TripletexActivity extends base_1.TripletexBase {
    list(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/activity')
            .query(args => (args.input ? (0, utils_1.serializeQuery)(args.input) : {}))
            .method('get')
            .parseJson((0, utils_1.withRuntype)(activity_1.listActivityResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
}
exports.TripletexActivity = TripletexActivity;
