"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.listActivityResponseRt = void 0;
const rt = __importStar(require("runtypes"));
const utils_1 = require("../../../utils");
const activityRt = rt.Record({
    id: rt.Number,
    name: rt.String,
    number: rt.String,
    description: rt.String,
    activityType: rt.Union(rt.Literal('GENERAL_ACTIVITY'), rt.Literal('PROJECT_GENERAL_ACTIVITY'), rt.Literal('PROJECT_SPECIFIC_ACTIVITY'), rt.Literal('TASK')),
    isProjectActivity: rt.Boolean,
    isGeneral: rt.Boolean,
    isTask: rt.Boolean,
    isDisabled: rt.Boolean,
    isChargeable: rt.Boolean,
    rate: rt.Number,
    costPercentage: rt.Number,
    displayName: rt.String,
});
exports.listActivityResponseRt = (0, utils_1.multipleValuesEnvelope)(activityRt);
