"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSubscriptionResponseRt = exports.createSubscriptionResponseRt = exports.listSubscriptionResponseRt = void 0;
const rt = __importStar(require("runtypes"));
const utils_1 = require("../../../utils");
const subscriptionRt = rt.Record({
    id: rt.Number,
    version: rt.Number,
    event: rt.String,
    targetUrl: rt.String,
    fields: rt.String.nullable().optional(),
    authHeaderName: rt.String.nullable().optional(),
    authHeaderValue: rt.String.nullable().optional(),
    status: rt
        .Union(rt.Literal('ACTIVE'), rt.Literal('DISABLED'), rt.Literal('DISABLED_TOO_MANY_ERRORS'), rt.Literal('DISABLED_RATE_LIMIT_EXCEEDED'), rt.Literal('DISABLED_MISUSE'))
        .nullable()
        .optional(),
});
exports.listSubscriptionResponseRt = (0, utils_1.multipleValuesEnvelope)(subscriptionRt);
exports.createSubscriptionResponseRt = (0, utils_1.singleValueEnvelope)(subscriptionRt);
exports.getSubscriptionResponseRt = (0, utils_1.singleValueEnvelope)(subscriptionRt);
