"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createOrderLineResponseRt = exports.createOrderLinesResponseRt = exports.orderLineRt = void 0;
const rt = __importStar(require("runtypes"));
const utils_1 = require("../../../utils");
exports.orderLineRt = rt.Record({
    id: rt.Number,
    version: rt.Number,
    product: utils_1.resourceRef,
    // inventory: inventoryRt,
    // inventoryLocation: inventoryLocationRt,
    description: rt.String,
    count: rt.Number,
    unitCostCurrency: rt.Number,
    unitPriceExcludingVatCurrency: rt.Number,
    markup: rt.Number,
    discount: rt.Number.nullable().optional(),
    vatType: utils_1.resourceRef,
    order: utils_1.resourceRef,
    unitPriceIncludingVatCurrency: rt.Number,
    isSubscription: rt.Boolean.nullable().optional(),
    subscriptionPeriodStart: rt.String.nullable().optional(),
    subscriptionPeriodEnd: rt.String.nullable().optional(),
    orderGroup: utils_1.resourceRef.nullable().optional(),
    currency: utils_1.resourceRef,
    amountExcludingVatCurrency: rt.Number.nullable().optional(),
    amountIncludingVatCurrency: rt.Number.nullable().optional(),
});
exports.createOrderLinesResponseRt = (0, utils_1.multipleValuesEnvelope)(exports.orderLineRt);
exports.createOrderLineResponseRt = (0, utils_1.singleValueEnvelope)(exports.orderLineRt);
