import { TripletexClientConfig } from '../../types';
export * from './models/session-token';
export interface CreateSessionTokenInput {
    employeeToken: string;
    consumerToken: string;
    expirationDate: Date;
}
export declare class TripletexToken {
    readonly config: TripletexClientConfig;
    constructor(config: TripletexClientConfig);
    createSessionToken(args: CreateSessionTokenInput): Promise<import("typical-fetch").CallReturn<{
        readonly value: {
            expirationDate: string;
            token: string;
        };
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
}
